Quantcast

Problem to import passdb in samba-tool

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Problem to import passdb in samba-tool

Silvio Giunge Silva a.k.a kanazuchi
Hi people,when i try to start the samba-tool to do anything, it returns me a error on passdb importI'm trying to find a answer on the list but nothing that can resolve my problem.
the follow errors is in below
[2.2-BETA][[hidden email]]/root: samba-toolTraceback (most recent call last):  File "/usr/local/bin/samba-tool", line 36, in <module>    from samba.netcmd.main import cmd_sambatool  File "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py", line 24, in <module>    from samba.netcmd.delegation import cmd_delegation  File "/usr/local/lib/python2.7/site-packages/samba/netcmd/delegation.py", line 23, in <module>    from samba import provision  File "/usr/local/lib/python2.7/site-packages/samba/provision/__init__.py", line 46, in <module>    from samba.samba3 import smbd, passdb  File "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py", line 29, in <module>    import passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined symbol "yp_match"    
--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Rowland Penny-5
On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
> Hi people,when i try to start the samba-tool to do anything, it returns me a error on passdb importI'm trying to find a answer on the list but nothing that can resolve my problem.
> the follow errors is in below
> [2.2-BETA][[hidden email]]/root: samba-toolTraceback (most recent call last):  File "/usr/local/bin/samba-tool", line 36, in <module>    from samba.netcmd.main import cmd_sambatool  File "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py", line 24, in <module>    from samba.netcmd.delegation import cmd_delegation  File "/usr/local/lib/python2.7/site-packages/samba/netcmd/delegation.py", line 23, in <module>    from samba import provision  File "/usr/local/lib/python2.7/site-packages/samba/provision/__init__.py", line 46, in <module>    from samba.samba3 import smbd, passdb  File "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py", line 29, in <module>    import passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined symbol "yp_match"  

Hi, could you post a bit more info, i.e. have you provisioned samba ?
what version of samba ?, what OS ?, what are you trying to do ?.

Also please post your smb.conf

Rowland

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Silvio Giunge Silva a.k.a kanazuchi
Rowland Penny <rowlandpenny <at> googlemail.com> writes:

>
> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
> > Hi people,when i try to start the samba-tool to do anything, it
returns me a error on passdb importI'm
> trying to find a answer on the list but nothing that can resolve
my problem.
> > the follow errors is in below
> > [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
toolTraceback (most recent call last):  File
> "/usr/local/bin/samba-tool", line 36, in <module>    from
samba.netcmd.main import cmd_sambatool  File
> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
line 24, in <module>    from
> samba.netcmd.delegation import cmd_delegation  File
> "/usr/local/lib/python2.7/site-
packages/samba/netcmd/delegation.py", line 23, in <module>    from
> samba import provision  File
> "/usr/local/lib/python2.7/site-
packages/samba/provision/__init__.py", line 46, in <module>  
> from samba.samba3 import smbd, passdb  File
> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
line 29, in <module>    import
> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
symbol "yp_match"  
>
> Hi, could you post a bit more info, i.e. have you provisioned
samba ?
> what version of samba ?, what OS ?, what are you trying to do ?.
>
> Also please post your smb.conf
>
> Rowland
>

Hi Rowland

I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
I think that this problem is because any lib is missing, i think
that can be anything with NIS



--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Rowland Penny-5
On 01/12/14 01:56, Silvio Giunge wrote:

> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
>
>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
>>> Hi people,when i try to start the samba-tool to do anything, it
> returns me a error on passdb importI'm
>> trying to find a answer on the list but nothing that can resolve
> my problem.
>>> the follow errors is in below
>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
> toolTraceback (most recent call last):  File
>> "/usr/local/bin/samba-tool", line 36, in <module>    from
> samba.netcmd.main import cmd_sambatool  File
>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
> line 24, in <module>    from
>> samba.netcmd.delegation import cmd_delegation  File
>> "/usr/local/lib/python2.7/site-
> packages/samba/netcmd/delegation.py", line 23, in <module>    from
>> samba import provision  File
>> "/usr/local/lib/python2.7/site-
> packages/samba/provision/__init__.py", line 46, in <module>
>> from samba.samba3 import smbd, passdb  File
>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
> line 29, in <module>    import
>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
> symbol "yp_match"  
>> Hi, could you post a bit more info, i.e. have you provisioned
> samba ?
>> what version of samba ?, what OS ?, what are you trying to do ?.
>>
>> Also please post your smb.conf
>>
>> Rowland
>>
> Hi Rowland
>
> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
> I think that this problem is because any lib is missing, i think
> that can be anything with NIS
>
>
>
OK, where did you get samba4 from, is it a package from FreeBSD, or did
you compile it yourself ?

If you compiled it yourself, what packages did you install before the
compile ?

How did you provision samba4 ?

Rowland

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Silvio Giunge Silva a.k.a kanazuchi
So,
to provision samba4 i need of the samba-tool and it's not working.I use poudriere to generate packages on FreeBSD, and the recursive packages too.
I'm trying to discovery what lib that samba-tool needs ti import the lib passdb and install it on the pfSense to make it work.

> Date: Mon, 1 Dec 2014 10:23:23 +0000
> From: [hidden email]
> To: [hidden email]
> Subject: Re: [Samba] Problem to import passdb in samba-tool
>
> On 01/12/14 01:56, Silvio Giunge wrote:
> > Rowland Penny <rowlandpenny <at> googlemail.com> writes:
> >
> >> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
> >>> Hi people,when i try to start the samba-tool to do anything, it
> > returns me a error on passdb importI'm
> >> trying to find a answer on the list but nothing that can resolve
> > my problem.
> >>> the follow errors is in below
> >>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
> > toolTraceback (most recent call last):  File
> >> "/usr/local/bin/samba-tool", line 36, in <module>    from
> > samba.netcmd.main import cmd_sambatool  File
> >> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
> > line 24, in <module>    from
> >> samba.netcmd.delegation import cmd_delegation  File
> >> "/usr/local/lib/python2.7/site-
> > packages/samba/netcmd/delegation.py", line 23, in <module>    from
> >> samba import provision  File
> >> "/usr/local/lib/python2.7/site-
> > packages/samba/provision/__init__.py", line 46, in <module>
> >> from samba.samba3 import smbd, passdb  File
> >> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
> > line 29, in <module>    import
> >> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
> > symbol "yp_match"  
> >> Hi, could you post a bit more info, i.e. have you provisioned
> > samba ?
> >> what version of samba ?, what OS ?, what are you trying to do ?.
> >>
> >> Also please post your smb.conf
> >>
> >> Rowland
> >>
> > Hi Rowland
> >
> > I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
> > I think that this problem is because any lib is missing, i think
> > that can be anything with NIS
> >
> >
> >
> OK, where did you get samba4 from, is it a package from FreeBSD, or did
> you compile it yourself ?
>
> If you compiled it yourself, what packages did you install before the
> compile ?
>
> How did you provision samba4 ?
>
> Rowland
>
> --
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba
         
--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Rowland Penny-5
On 01/12/14 11:55, Silvio Giunge Silva a.k.a kanazuchi wrote:

> So,
> to provision samba4 i need of the samba-tool and it's not working.I use poudriere to generate packages on FreeBSD, and the recursive packages too.
> I'm trying to discovery what lib that samba-tool needs ti import the lib passdb and install it on the pfSense to make it work.
>
>> Date: Mon, 1 Dec 2014 10:23:23 +0000
>> From: [hidden email]
>> To: [hidden email]
>> Subject: Re: [Samba] Problem to import passdb in samba-tool
>>
>> On 01/12/14 01:56, Silvio Giunge wrote:
>>> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
>>>
>>>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
>>>>> Hi people,when i try to start the samba-tool to do anything, it
>>> returns me a error on passdb importI'm
>>>> trying to find a answer on the list but nothing that can resolve
>>> my problem.
>>>>> the follow errors is in below
>>>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
>>> toolTraceback (most recent call last):  File
>>>> "/usr/local/bin/samba-tool", line 36, in <module>    from
>>> samba.netcmd.main import cmd_sambatool  File
>>>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
>>> line 24, in <module>    from
>>>> samba.netcmd.delegation import cmd_delegation  File
>>>> "/usr/local/lib/python2.7/site-
>>> packages/samba/netcmd/delegation.py", line 23, in <module>    from
>>>> samba import provision  File
>>>> "/usr/local/lib/python2.7/site-
>>> packages/samba/provision/__init__.py", line 46, in <module>
>>>> from samba.samba3 import smbd, passdb  File
>>>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
>>> line 29, in <module>    import
>>>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
>>> symbol "yp_match"  
>>>> Hi, could you post a bit more info, i.e. have you provisioned
>>> samba ?
>>>> what version of samba ?, what OS ?, what are you trying to do ?.
>>>>
>>>> Also please post your smb.conf
>>>>
>>>> Rowland
>>>>
>>> Hi Rowland
>>>
>>> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
>>> I think that this problem is because any lib is missing, i think
>>> that can be anything with NIS
>>>
>>>
>>>
>> OK, where did you get samba4 from, is it a package from FreeBSD, or did
>> you compile it yourself ?
>>
>> If you compiled it yourself, what packages did you install before the
>> compile ?
>>
>> How did you provision samba4 ?
>>
>> Rowland
>>
>> --
>> To unsubscribe from this list go to the following URL and read the
>> instructions:  https://lists.samba.org/mailman/options/samba
>        
OK, this must be a problem with your setup, I have just installed
FreeBSD 10.1 in a VM, then installed samba41 from ports, I now know that
FreeBSD is very similar to Gentoo, everything seems to be compiled!

To cut a long story short, I have provisioned samba4.1.11, this means
that samba-tool works for me without error.

If I, someone who has never before used FreeBSD, can get it to work, it
must be the system that you are using.

Rowland

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Silvio Giunge Silva a.k.a kanazuchi
I work with FreeBSD,when i use samba-tool inside FreeBSD it works, but in pfSense is missing some samba-tool's library.
If i find what is this library, I will compile this library with the samba4 in poudriere to install on pfSense.
But, before i need discover this.
I will try the samba41 package.
Silvio Giunge.

> Date: Mon, 1 Dec 2014 14:17:10 +0000
> From: [hidden email]
> To: [hidden email]
> Subject: Re: [Samba] Problem to import passdb in samba-tool
>
> On 01/12/14 11:55, Silvio Giunge Silva a.k.a kanazuchi wrote:
> > So,
> > to provision samba4 i need of the samba-tool and it's not working.I use poudriere to generate packages on FreeBSD, and the recursive packages too.
> > I'm trying to discovery what lib that samba-tool needs ti import the lib passdb and install it on the pfSense to make it work.
> >
> >> Date: Mon, 1 Dec 2014 10:23:23 +0000
> >> From: [hidden email]
> >> To: [hidden email]
> >> Subject: Re: [Samba] Problem to import passdb in samba-tool
> >>
> >> On 01/12/14 01:56, Silvio Giunge wrote:
> >>> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
> >>>
> >>>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
> >>>>> Hi people,when i try to start the samba-tool to do anything, it
> >>> returns me a error on passdb importI'm
> >>>> trying to find a answer on the list but nothing that can resolve
> >>> my problem.
> >>>>> the follow errors is in below
> >>>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
> >>> toolTraceback (most recent call last):  File
> >>>> "/usr/local/bin/samba-tool", line 36, in <module>    from
> >>> samba.netcmd.main import cmd_sambatool  File
> >>>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
> >>> line 24, in <module>    from
> >>>> samba.netcmd.delegation import cmd_delegation  File
> >>>> "/usr/local/lib/python2.7/site-
> >>> packages/samba/netcmd/delegation.py", line 23, in <module>    from
> >>>> samba import provision  File
> >>>> "/usr/local/lib/python2.7/site-
> >>> packages/samba/provision/__init__.py", line 46, in <module>
> >>>> from samba.samba3 import smbd, passdb  File
> >>>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
> >>> line 29, in <module>    import
> >>>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
> >>> symbol "yp_match"  
> >>>> Hi, could you post a bit more info, i.e. have you provisioned
> >>> samba ?
> >>>> what version of samba ?, what OS ?, what are you trying to do ?.
> >>>>
> >>>> Also please post your smb.conf
> >>>>
> >>>> Rowland
> >>>>
> >>> Hi Rowland
> >>>
> >>> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
> >>> I think that this problem is because any lib is missing, i think
> >>> that can be anything with NIS
> >>>
> >>>
> >>>
> >> OK, where did you get samba4 from, is it a package from FreeBSD, or did
> >> you compile it yourself ?
> >>
> >> If you compiled it yourself, what packages did you install before the
> >> compile ?
> >>
> >> How did you provision samba4 ?
> >>
> >> Rowland
> >>
> >> --
> >> To unsubscribe from this list go to the following URL and read the
> >> instructions:  https://lists.samba.org/mailman/options/samba
> >        
> OK, this must be a problem with your setup, I have just installed
> FreeBSD 10.1 in a VM, then installed samba41 from ports, I now know that
> FreeBSD is very similar to Gentoo, everything seems to be compiled!
>
> To cut a long story short, I have provisioned samba4.1.11, this means
> that samba-tool works for me without error.
>
> If I, someone who has never before used FreeBSD, can get it to work, it
> must be the system that you are using.
>
> Rowland
>
> --
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba
     
--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Mike Howard
In reply to this post by Rowland Penny-5

On 01/12/2014 14:17, Rowland Penny wrote:

> On 01/12/14 11:55, Silvio Giunge Silva a.k.a kanazuchi wrote:
>> So,
>> to provision samba4 i need of the samba-tool and it's not working.I
>> use poudriere to generate packages on FreeBSD, and the recursive
>> packages too.
>> I'm trying to discovery what lib that samba-tool needs ti import the
>> lib passdb and install it on the pfSense to make it work.
>>
>>> Date: Mon, 1 Dec 2014 10:23:23 +0000
>>> From: [hidden email]
>>> To: [hidden email]
>>> Subject: Re: [Samba] Problem to import passdb in samba-tool
>>>
>>> On 01/12/14 01:56, Silvio Giunge wrote:
>>>> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
>>>>
>>>>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
>>>>>> Hi people,when i try to start the samba-tool to do anything, it
>>>> returns me a error on passdb importI'm
>>>>> trying to find a answer on the list but nothing that can resolve
>>>> my problem.
>>>>>> the follow errors is in below
>>>>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
>>>> toolTraceback (most recent call last):  File
>>>>> "/usr/local/bin/samba-tool", line 36, in <module>    from
>>>> samba.netcmd.main import cmd_sambatool  File
>>>>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
>>>> line 24, in <module>    from
>>>>> samba.netcmd.delegation import cmd_delegation  File
>>>>> "/usr/local/lib/python2.7/site-
>>>> packages/samba/netcmd/delegation.py", line 23, in <module>    from
>>>>> samba import provision  File
>>>>> "/usr/local/lib/python2.7/site-
>>>> packages/samba/provision/__init__.py", line 46, in <module>
>>>>> from samba.samba3 import smbd, passdb  File
>>>>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
>>>> line 29, in <module>    import
>>>>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
>>>> symbol "yp_match"
>>>>> Hi, could you post a bit more info, i.e. have you provisioned
>>>> samba ?
>>>>> what version of samba ?, what OS ?, what are you trying to do ?.
>>>>>
>>>>> Also please post your smb.conf
>>>>>
>>>>> Rowland
>>>>>
>>>> Hi Rowland
>>>>
>>>> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
>>>> I think that this problem is because any lib is missing, i think
>>>> that can be anything with NIS
>>>>
>>>>
>>>>
>>> OK, where did you get samba4 from, is it a package from FreeBSD, or did
>>> you compile it yourself ?
>>>
>>> If you compiled it yourself, what packages did you install before the
>>> compile ?
>>>
>>> How did you provision samba4 ?
>>>
>>> Rowland
>>>
>>> --
>>> To unsubscribe from this list go to the following URL and read the
>>> instructions:  https://lists.samba.org/mailman/options/samba
>>
> OK, this must be a problem with your setup, I have just installed
> FreeBSD 10.1 in a VM, then installed samba41 from ports, I now know
> that FreeBSD is very similar to Gentoo, everything seems to be compiled!
But did you install pfsense (the system the OP is using), which is based
on FreeBSD but is not in fact, FreeBSD?

--


--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Rowland Penny-5
On 01/12/14 14:35, Michael Howard wrote:

>
> On 01/12/2014 14:17, Rowland Penny wrote:
>> On 01/12/14 11:55, Silvio Giunge Silva a.k.a kanazuchi wrote:
>>> So,
>>> to provision samba4 i need of the samba-tool and it's not working.I
>>> use poudriere to generate packages on FreeBSD, and the recursive
>>> packages too.
>>> I'm trying to discovery what lib that samba-tool needs ti import the
>>> lib passdb and install it on the pfSense to make it work.
>>>
>>>> Date: Mon, 1 Dec 2014 10:23:23 +0000
>>>> From: [hidden email]
>>>> To: [hidden email]
>>>> Subject: Re: [Samba] Problem to import passdb in samba-tool
>>>>
>>>> On 01/12/14 01:56, Silvio Giunge wrote:
>>>>> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
>>>>>
>>>>>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
>>>>>>> Hi people,when i try to start the samba-tool to do anything, it
>>>>> returns me a error on passdb importI'm
>>>>>> trying to find a answer on the list but nothing that can resolve
>>>>> my problem.
>>>>>>> the follow errors is in below
>>>>>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
>>>>> toolTraceback (most recent call last):  File
>>>>>> "/usr/local/bin/samba-tool", line 36, in <module>    from
>>>>> samba.netcmd.main import cmd_sambatool  File
>>>>>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
>>>>> line 24, in <module>    from
>>>>>> samba.netcmd.delegation import cmd_delegation  File
>>>>>> "/usr/local/lib/python2.7/site-
>>>>> packages/samba/netcmd/delegation.py", line 23, in <module>    from
>>>>>> samba import provision  File
>>>>>> "/usr/local/lib/python2.7/site-
>>>>> packages/samba/provision/__init__.py", line 46, in <module>
>>>>>> from samba.samba3 import smbd, passdb  File
>>>>>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
>>>>> line 29, in <module>    import
>>>>>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
>>>>> symbol "yp_match"
>>>>>> Hi, could you post a bit more info, i.e. have you provisioned
>>>>> samba ?
>>>>>> what version of samba ?, what OS ?, what are you trying to do ?.
>>>>>>
>>>>>> Also please post your smb.conf
>>>>>>
>>>>>> Rowland
>>>>>>
>>>>> Hi Rowland
>>>>>
>>>>> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
>>>>> I think that this problem is because any lib is missing, i think
>>>>> that can be anything with NIS
>>>>>
>>>>>
>>>>>
>>>> OK, where did you get samba4 from, is it a package from FreeBSD, or
>>>> did
>>>> you compile it yourself ?
>>>>
>>>> If you compiled it yourself, what packages did you install before the
>>>> compile ?
>>>>
>>>> How did you provision samba4 ?
>>>>
>>>> Rowland
>>>>
>>>> --
>>>> To unsubscribe from this list go to the following URL and read the
>>>> instructions:  https://lists.samba.org/mailman/options/samba
>>>
>> OK, this must be a problem with your setup, I have just installed
>> FreeBSD 10.1 in a VM, then installed samba41 from ports, I now know
>> that FreeBSD is very similar to Gentoo, everything seems to be compiled!
> But did you install pfsense (the system the OP is using), which is
> based on FreeBSD but is not in fact, FreeBSD?
>
Well no, I am not really a 'BSD' user, but if samba 4 works on the
genuine FreeBSD, but doesn't work on something that is based on Freebsd,
this to me means that there must be something wrong with the samba 4
package on pfsense.

Having said that, I fail to see why the OP is trying to install an AD DC
on something that is meant to be a firewall device (I googled pfsense),
but it's his machine, he can do as he pleases.

Rowland

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

Silvio Giunge Silva a.k.a kanazuchi
Rowland,
that's right, pfSense is a firewall.
I work with a system based him, and we have a proxy solution inside the pfSense machine.The samba4 will not be a AD DC, only give support to single signon for squid and some tools to control the AD.
I think that i found what library is missing, i will make some tests and give the feedback in the list .

> Date: Mon, 1 Dec 2014 14:51:34 +0000
> From: [hidden email]
> To: [hidden email]
> Subject: Re: [Samba] Problem to import passdb in samba-tool
>
> On 01/12/14 14:35, Michael Howard wrote:
> >
> > On 01/12/2014 14:17, Rowland Penny wrote:
> >> On 01/12/14 11:55, Silvio Giunge Silva a.k.a kanazuchi wrote:
> >>> So,
> >>> to provision samba4 i need of the samba-tool and it's not working.I
> >>> use poudriere to generate packages on FreeBSD, and the recursive
> >>> packages too.
> >>> I'm trying to discovery what lib that samba-tool needs ti import the
> >>> lib passdb and install it on the pfSense to make it work.
> >>>
> >>>> Date: Mon, 1 Dec 2014 10:23:23 +0000
> >>>> From: [hidden email]
> >>>> To: [hidden email]
> >>>> Subject: Re: [Samba] Problem to import passdb in samba-tool
> >>>>
> >>>> On 01/12/14 01:56, Silvio Giunge wrote:
> >>>>> Rowland Penny <rowlandpenny <at> googlemail.com> writes:
> >>>>>
> >>>>>> On 27/11/14 17:10, Silvio Giunge Silva a.k.a kanazuchi wrote:
> >>>>>>> Hi people,when i try to start the samba-tool to do anything, it
> >>>>> returns me a error on passdb importI'm
> >>>>>> trying to find a answer on the list but nothing that can resolve
> >>>>> my problem.
> >>>>>>> the follow errors is in below
> >>>>>>> [2.2-BETA][root <at> pfSense.localdomain]/root: samba-
> >>>>> toolTraceback (most recent call last):  File
> >>>>>> "/usr/local/bin/samba-tool", line 36, in <module>    from
> >>>>> samba.netcmd.main import cmd_sambatool  File
> >>>>>> "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py",
> >>>>> line 24, in <module>    from
> >>>>>> samba.netcmd.delegation import cmd_delegation  File
> >>>>>> "/usr/local/lib/python2.7/site-
> >>>>> packages/samba/netcmd/delegation.py", line 23, in <module>    from
> >>>>>> samba import provision  File
> >>>>>> "/usr/local/lib/python2.7/site-
> >>>>> packages/samba/provision/__init__.py", line 46, in <module>
> >>>>>> from samba.samba3 import smbd, passdb  File
> >>>>>> "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py",
> >>>>> line 29, in <module>    import
> >>>>>> passdbImportError: /usr/local/lib/libsmbconf.so.0: Undefined
> >>>>> symbol "yp_match"
> >>>>>> Hi, could you post a bit more info, i.e. have you provisioned
> >>>>> samba ?
> >>>>>> what version of samba ?, what OS ?, what are you trying to do ?.
> >>>>>>
> >>>>>> Also please post your smb.conf
> >>>>>>
> >>>>>> Rowland
> >>>>>>
> >>>>> Hi Rowland
> >>>>>
> >>>>> I'm using pfSense 2.2 on FreeBSD 10.1 and samba4.
> >>>>> I think that this problem is because any lib is missing, i think
> >>>>> that can be anything with NIS
> >>>>>
> >>>>>
> >>>>>
> >>>> OK, where did you get samba4 from, is it a package from FreeBSD, or
> >>>> did
> >>>> you compile it yourself ?
> >>>>
> >>>> If you compiled it yourself, what packages did you install before the
> >>>> compile ?
> >>>>
> >>>> How did you provision samba4 ?
> >>>>
> >>>> Rowland
> >>>>
> >>>> --
> >>>> To unsubscribe from this list go to the following URL and read the
> >>>> instructions:  https://lists.samba.org/mailman/options/samba
> >>>
> >> OK, this must be a problem with your setup, I have just installed
> >> FreeBSD 10.1 in a VM, then installed samba41 from ports, I now know
> >> that FreeBSD is very similar to Gentoo, everything seems to be compiled!
> > But did you install pfsense (the system the OP is using), which is
> > based on FreeBSD but is not in fact, FreeBSD?
> >
> Well no, I am not really a 'BSD' user, but if samba 4 works on the
> genuine FreeBSD, but doesn't work on something that is based on Freebsd,
> this to me means that there must be something wrong with the samba 4
> package on pfsense.
>
> Having said that, I fail to see why the OP is trying to install an AD DC
> on something that is meant to be a firewall device (I googled pfsense),
> but it's his machine, he can do as he pleases.
>
> Rowland
>
> --
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba
         
--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problem to import passdb in samba-tool

toja
This post has NOT been accepted by the mailing list yet.
I am having the same problem with pfsense 2.4 and samba 4.6.2. How did you resolve the problem? Thanks
Loading...